/* memory.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef MEMORY_H
#define MEMORY_H



/*** allocate *********************************************************
   Allocate a block of memory.  If the amount of memory in use exceeds
   the MEMORY_LIMIT, deallocate the least recently used memory.
**********************************************************************/
extern void *allocate();
/*
int bytes;
*/



/*** pallocate ********************************************************
   Permanent allocate.  Same as allocate, above, but used to allocate
   memory which will NEVER be deallocated.
**********************************************************************/
extern void *pallocate();
/*
int bytes;
*/



/*** deallocate *******************************************************
   Deallocate a block of memory.
**********************************************************************/
extern void deallocate();
/*
void *addr;
int bytes;
*/



/*** mem_available ****************************************************
   Return the amount of available memory.
**********************************************************************/
extern int mem_available();



/*** mem_used ********************************************************
   Return the amount of memory used.
**********************************************************************/
extern int mem_used();



extern void recent();
/*
int ig, ip;
*/



#endif
